WordPress 5.3版本引用新的图片处理机制 会影响部分WordPress存储插件

搬瓦工机场JMS

前几天我们大部分网友应该是有看到在使用的WordPress程序后台是有正式版5.3版本提醒升级更新,虽然没有安全漏洞需要升级,但是作为完美主义者来说我们大部分网友还是希望升级到最新版本。但是在升级之后我们可能发现一些不适应,尤其是在用的对象存储插件,图片上传导致出错。

比如有网友问到在使用对象存储插件上传图片会提示这样的错误问题,从对象存储中可以看到图片是上传成功的,且在媒体库中是看不到图片。这个主要是因为WP5.3开始引用新的图片处理机制。

目前在WordPress中用WP_Image_Editor_GD和WP_Image_Editor_Imagick类中引入了make_subsize() 方法。新增 wp_create_image_subsizes() ,会在图片上传后使用。同时还有错误提示。这样我们如果有类似插件的工具可能就需要重新适配新的WP版本。

未经允许不得转载:Just My Socks中文教程网 » WordPress 5.3版本引用新的图片处理机制 会影响部分WordPress存储插件

赞 (0) 打赏
Just My Socks搬瓦工机场JMS

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏